<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms </title>
</head>
<body>
	<h2 align="center">Welcome to the Forms Page</h2>
<!-- Semantic Tags

Semantic Tags are new addition to HTML. Semantic Tags are also containers for element but unlike divs they are definitive of its content without relying to semantic id. However, em, strong, they are also semantic tags as they are used over <i></i><b></b>.

Semantic Containers such as nav, main, section are more preferred by developers now because it aids in better Search Engine Optimization, as well developers themselves because each tag now clearly defines what is the content to be added.
 nav is a semantic container which contains navigation links.

 -->
<nav>
<a href="./index.html">Go to index.html</a>
<a href="./table.html">Go to table.html</a>
<a href="../activity/contact.html">Go to contact.html</a>
</nav>
<!-- main is a semantic container used to show the main content of a page -->
<main>
 <section>
 	<h2>HTML forms.</h2>
 	<p>HTML Forms are used to gather information of data from our user and send that information to a server.</p>
 </section>
 <section>
 	<!-- form tags allows us to create a form. We can then gather data an user input in our form and submit it to a server.

         action attribute in a form will allow us to pass/submit the data to the server of the url that is given.

         label tag will allow us to create an element that serves as a label or indicator to the input. add a for attribute to the label will allow us to associate the label element to a particular input element. for attribute is passed the id of the particular input element to assciate it.

         input tag creates an input element to add user input. 
         input tag can have many types to allow the addition of different kinds of data or information like text, numbers or dates. 

         type attribute in input elements allows us to identify what kind of information is to be provided to the input. It also affects the behavior of the element to be appropriate to the type of data we want to gather. 

         name attribute allows us to provide a name/ an identifier for the VALUE of the input element. It allows us to properly identify the value of an input in our form.


         id attribute not only provide a unique identifier for the element, it is also used by the label to associate with. 

         required attribute allows us to check if the input has been filled and if not the form cannot be submitted.

         autocomplete attribute provides suggestions for input and allows for better user experience.

         input type change the behavior of an input element and only allows the input of dates 

         type attribute to a button indicate the action it will do. buttons in a form can submit the form. This is why we add a type attribute to differentiate the actions buttons can do in a form.

         input type number change the behavior of an input element and only allows the input of numbers

         min attribute to input type of number sets the maximum number we can input 

         max attribute to input type number 

         select tag allows us to create a dropdown menu with choices

         option tag allows us to create the options/choices available for our select tag.

         Value

         Radio allows to create a readio button and provide users a single choice of information to pass.  

         input type checkbox will allow us to create a checkbox for multiple selection among multiple choices.
         

 	 -->
 	<form action = "https://google.com">
 		<!-- Full name -->
 		<label for = "fname">Full Name:</label>
 		<br><!-- br will break the line -->
 		<input type="text" name="fullname" id = "fname" required autocomplete>
 		<br>
 		<!-- Birthdate -->
 		<label for = "bdate">Birthday:</label>
 		<br>
 		<input type="date" name="birthday" id ="bdate" required>
        <br>
        <label for =agee>Age</label>
        <br>
        <input type="number" name="Age" id=agee required min ="18" max="40">
        <br>
        <label for ="gender">Gender</label>
        <br>
        <select name ="GenderInput" id = "gender">
        	<option value = "male">Male</option>
        	<option value = "female">Female</option>
        	<option value = "other">Other</option>
        	
        </select>
        <br>
        <label>New user?</label>
        <!-- radio -->
        <br>
        <input type="radio" name="new_user" id="radioUser1" value="yes">
        <label for ="radioUser1">Yes</label>
        <br>
        <input type="radio" name="new_user" id="radioUser2" value="no">
        <label for ="radioUser2">No</label>
        <br>
        <label>Role:</label>
        <br>
        <input type="checkbox" name="role1" id="roleInput" value = "developer">
        <label for = roleInput>Developer</label>
        <br>
        <input type="checkbox" name="role2" id="roleInput2" value = "student">
        <label for = roleInput>Student</label>
        <br>
        <input type="checkbox" name="role3" id="roleInput3" value = "Manager">
        <label for = roleInput>Manager</label>
        <br>
        <br>
        <button type = "submit">Submit</button>
        <button type = "reset">Reset</button>
        



 	</form>
 </section>
</main>


</body>
</html>